Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.ui.desktop
Interface DesktopPanel

All Superinterfaces:
  PropertyChangeNotifier

All Known Implementing Classes:
  AbstractWsdlMockResponseDesktopPanel, AbstractWsdlRequestDesktopPanel, DefaultDesktopPanel, GotoStepDesktopPanel, GroovyScriptStepDesktopPanel, ModelItemDesktopPanel, ModelItemListDesktopPanel, PropertiesStepDesktopPanel, StatisticsDesktopPanel, StatisticsHistoryDesktopPanel, TransferResponseValuesDesktopPanel, WsdlInterfaceDesktopPanel, WsdlLoadTestDesktopPanel, WsdlMockOperationDesktopPanel, WsdlMockResponseDesktopPanel, WsdlMockServiceDesktopPanel, WsdlRequestDesktopPanel, WsdlTestCaseDesktopPanel, WsdlTestRequestDesktopPanel, WsdlTestSuiteDesktopPanel

    public interface DesktopPanel

extends PropertyChangeNotifier

Behaviour for a SoapUI desktop panel

Author:
  Ole.Matzura

Field Summary
`static java.lang.String` | `ICON_PROPERTY`
`static java.lang.String` | `TITLE_PROPERTY`

Method Summary
`boolean` | `dependsOn(ModelItem modelItem)` Checks if this desktop panel depends on the existence of the specified model item, used for closing relevant panels.
`javax.swing.JComponent` | `getComponent()` Gets the component used to display this desktop panel
`java.lang.String` | `getDescription()` Gets the description for this desktop panel.. may be used as tooltip, etc..
`javax.swing.Icon` | `getIcon()` Returns the icon for this panel
`ModelItem` | `getModelItem()` Gets the model item associated with this desktop panel
`java.lang.String` | `getTitle()` Gets the title for this desktop panel
`boolean` | `onClose(boolean canCancel)` Called when a desktop panel is about to be closed, may be overriden (depending on situation) by returning false if canCancel is set to true.

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### TITLE_PROPERTY

    static final java.lang.String TITLE_PROPERTY

### ICON_PROPERTY

    static final java.lang.String ICON_PROPERTY

Method Detail

### getTitle

    java.lang.String getTitle()

  Gets the title for this desktop panel

### getDescription

    java.lang.String getDescription()

  Gets the description for this desktop panel.. may be used as tooltip, etc..

  Returns:

### getModelItem

    ModelItem getModelItem()

  Gets the model item associated with this desktop panel

### onClose

    boolean onClose(boolean canCancel)

  Called when a desktop panel is about to be closed, may be overriden (depending on situation) by returning false if canCancel is set to true.

### getComponent

    javax.swing.JComponent getComponent()

  Gets the component used to display this desktop panel

### dependsOn

    boolean dependsOn(ModelItem modelItem)

  Checks if this desktop panel depends on the existence of the specified model item, used for closing relevant panels.

  Parameters:
    `modelItem` -

### getIcon

    javax.swing.Icon getIcon()

  Returns the icon for this panel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.